Bug Hunting Session
Bug 100974 - If different CTL font is selected, font preview shows sample text in different alphabet than the default language's
Summary: If different CTL font is selected, font preview shows sample text in differen...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2016-07-17 20:10 UTC by akash96j
Modified: 2017-12-14 19:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Screenshot (20.69 KB, image/png)
2016-07-17 20:10 UTC, akash96j
Details

Note You need to log in before you can comment on or make changes to this bug.
Description akash96j 2016-07-17 20:10:11 UTC
Created attachment 126256 [details]
Sample Screenshot

To recreate:
1. Open new doc.
2. Format->Character->Font tab

The font preview window shows sample text for a selected font and language.
But when certain fonts are selected, the sample text is in a different script than the open currently being displayed in Language Field.

For example: If by default text is shown in Mangal Font and Language: Hindi and we change the font to Liberation Serif, the text is now in Hebrew, while the language still remains Hindi. But if we write some text in hindi using Liberation Serif it will show up correctly.
Comment 1 akash96j 2016-07-17 20:13:35 UTC
This is probably happening due to
svtools/source/misc/sampletext.cxx:1694
Comment 2 Aron Budea 2016-07-17 22:54:24 UTC
Reproduced in a couple of versions, including 4.0.0.3. In 3.6.0.4 the text is Hindi in the preview, but looks compacted, and it's incomplete, with a few squares.

Since the issue does not seem to affect quality work, I'm adjusting importance accordingly.
Comment 3 QA Administrators 2017-09-01 11:18:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901